import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';

import { DecimalJSLikeSchema, isValidDecimalInput } from '../../helpers/decimal-helpers';

import Decimal from "decimal.js";
const makeSchema = () => z.object({
  id: z.number().int().optional(),
  paymentId: z.number().int(),
  collectionAmount: z.union([
  z.number(),
  z.string(),
  z.instanceof(Decimal),
  z.instanceof(Decimal),
  DecimalJSLikeSchema,
]).refine((v) => isValidDecimalInput(v), {
  message: "Field 'collectionAmount' must be a Decimal",
})
}).strict();
export const CommissionBatchItemUncheckedCreateWithoutCommissionBatchInputObjectSchema: z.ZodType<Prisma.CommissionBatchItemUncheckedCreateWithoutCommissionBatchInput> = makeSchema() as unknown as z.ZodType<Prisma.CommissionBatchItemUncheckedCreateWithoutCommissionBatchInput>;
export const CommissionBatchItemUncheckedCreateWithoutCommissionBatchInputObjectZodSchema = makeSchema();
